# SRB2 Debian package control file.

Source: srb2
Section: games
Priority: extra
Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 libsdl2-dev,
 libsdl2-mixer-dev,
 libpng-dev | libpng16-dev | libpng12-dev (>= 1.2.7),
 zlib1g-dev,
 libgme-dev,
 libopenmpt-dev,
 libcurl4-openssl-dev,
 libglu1-dev | libglu-dev,
 libosmesa6-dev | libgl-dev,
 nasm [i386]
Standards-Version: 3.8.4
Homepage: https://www.srb2.org/

Package: srb2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 srb2-data-downloader (>> 2.2.9), srb2-data-downloader (<< 3.0),
 libsdl2-2.0-0,
 libsdl2-mixer-2.0-0,
 zlib1g,
 libgme0,
 libopenmpt | libopenmpt0,
 libpng | libpng16-16 | libpng12-0
Description: A cross-platform 3D Sonic fangame
 Sonic Robo Blast 2 is a 3D open-source Sonic the Hedgehog
 fangame built using a modified version of the Doom Legacy
 port of Doom. SRB2 is closely inspired by the original
 Sonic games from the Sega Genesis, and attempts to recreate
 the design in 3D. It features tons of levels, enemies, speed,
 and quite a lot of the fun that the original Sonic games provided.


Package: srb2-dbg
Architecture: any
Depends: libc6, ${misc:Depends}, srb2-data-downloader (>> 2.2.9), srb2-data-downloader (<< 3.0), srb2
Description: A cross-platform 3D Sonic fangame
 Sonic Robo Blast 2 is a 3D open-source Sonic the Hedgehog
 fangame built using a modified version of the Doom Legacy
 port of Doom. SRB2 is closely inspired by the original
 Sonic games from the Sega Genesis, and attempts to recreate
 the design in 3D. It features tons of levels, enemies, speed,
 and quite a lot of the fun that the original Sonic games provided.
 This is a debug binary; its symbols will be loaded by gdb
 when the user starts the game with gdb for debugging.
